Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class SimianTask

    java.lang.Object
      Task
          au.com.redhillconsulting.simian.SimianTask

    public class SimianTask

extends Task

Ant task.

Version:
  $Id: SimianTask.java 3019 2007-11-08 09:59:10Z haruki_zaemon $
Author:
  Simon Harris

Nested Class Summary
`static class` | `SimianTask.Formatter` Configures the type of formatting produced by the Ant task.

Constructor Summary
`SimianTask()`

Method Summary
`void` | `addConfiguredFormatter(SimianTask.Formatter formatter)`
`void` | `addFileSet(FileSet fileSet)`
`SimianTask.Formatter` | `createFormatter()`
`void` | `execute()`
`void` | `setBalanceCurlyBraces(boolean enable)`
`void` | `setBalanceParentheses(boolean enable)`
`void` | `setBalanceSquareBrackets(boolean enable)`
`void` | `setFailOnDuplication(java.lang.String value)`
`void` | `setFailureProperty(java.lang.String failureProperty)`
`void` | `setIgnoreBlocks(java.lang.String markers)`
`void` | `setIgnoreCharacterCase(boolean enable)`
`void` | `setIgnoreCharacters(boolean enable)`
`void` | `setIgnoreCurlyBraces(boolean enable)`
`void` | `setIgnoreIdentifierCase(boolean enable)`
`void` | `setIgnoreIdentifiers(boolean enable)`
`void` | `setIgnoreLiterals(boolean enable)`
`void` | `setIgnoreModifiers(boolean enable)`
`void` | `setIgnoreNumbers(boolean enable)`
`void` | `setIgnoreRegions(boolean enable)`
`void` | `setIgnoreStringCase(boolean enable)`
`void` | `setIgnoreStrings(boolean enable)`
`void` | `setIgnoreSubtypeNames(boolean enable)`
`void` | `setIgnoreVariableNames(boolean enable)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setOutput(java.io.OutputStream out)`
`void` | `setReportDuplicateText(boolean enable)`
`void` | `setThreshold(int threshold)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimianTask

    public SimianTask()

Method Detail

### setOutput

    public void setOutput(java.io.OutputStream out)

### addFileSet

    public void addFileSet(FileSet fileSet)

### setFailOnDuplication

    public void setFailOnDuplication(java.lang.String value)

### setFailureProperty

    public void setFailureProperty(java.lang.String failureProperty)

### setThreshold

    public void setThreshold(int threshold)

### setIgnoreBlocks

    public void setIgnoreBlocks(java.lang.String markers)

### setLanguage

    public void setLanguage(java.lang.String language)

### setIgnoreCurlyBraces

    public void setIgnoreCurlyBraces(boolean enable)

### setIgnoreLiterals

    public void setIgnoreLiterals(boolean enable)

### setIgnoreCharacters

    public void setIgnoreCharacters(boolean enable)

### setIgnoreCharacterCase

    public void setIgnoreCharacterCase(boolean enable)

### setIgnoreStrings

    public void setIgnoreStrings(boolean enable)

### setIgnoreStringCase

    public void setIgnoreStringCase(boolean enable)

### setIgnoreNumbers

    public void setIgnoreNumbers(boolean enable)

### setIgnoreSubtypeNames

    public void setIgnoreSubtypeNames(boolean enable)

### setIgnoreModifiers

    public void setIgnoreModifiers(boolean enable)

### setBalanceParentheses

    public void setBalanceParentheses(boolean enable)

### setBalanceSquareBrackets

    public void setBalanceSquareBrackets(boolean enable)

### setBalanceCurlyBraces

    public void setBalanceCurlyBraces(boolean enable)

### setIgnoreRegions

    public void setIgnoreRegions(boolean enable)

### setIgnoreIdentifierCase

    public void setIgnoreIdentifierCase(boolean enable)

### setIgnoreVariableNames

    public void setIgnoreVariableNames(boolean enable)

### setIgnoreIdentifiers

    public void setIgnoreIdentifiers(boolean enable)

### setReportDuplicateText

    public void setReportDuplicateText(boolean enable)

### createFormatter

    public SimianTask.Formatter createFormatter()

### addConfiguredFormatter

    public void addConfiguredFormatter(SimianTask.Formatter formatter)

### execute

    public void execute()
                 throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.